
#import <objc/Object.h>

@interface Julian:Object
{
	double	julianDayVal;
}

+  (double) getCurrentDate;

+ (double) 	julianDay	:(int) day
								:(int) month
								:(int) year;

+ (double)	julianDay	:(int) day
							 	:(int) month
								:(int) year
								:(int) hour
								:(int) min
								:(int) sec;
								
+ (void) 	calendarDay	:(double)	julian
								:(int *)	day
								:(int *)	month
								:(int *) year;
								
+ (void) 	calendarDay	:(double)	julian
								:(int *)	day
								:(int *)	month
								:(int *) year
								:(int *)	hour
								:(int *)	min
								:(int *) sec;
								
+ (BOOL) 	validDay		:(int)	day
								:(int)	month
								:(int)	year;
								
+ (BOOL) 	validDay		:(int)	day
								:(int)	month
								:(int)	year
								:(int)	hour
								:(int)	min
								:(int)	sec;
								
+ (int)		dow:(long) 	julian;

+ (int) 		doy:(int)	day
					:(int)	month
					:(int)	year;

+ (double) 	wkd:(int)	day
					:(int)	month
					:(int)	year;
	
// instance methods			
- init;

- (BOOL) initDay
						:(int) month	
						:(int) day
						:(int) year;
				
- (BOOL) initDay
						:(int) month	
						:(int) day
						:(int) year
						:(int) hour
						:(int) min
						:(int) sec;
						
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

- (double) 	getJulianDay;

-  getCalandarDay			:(int*) month
				 				:(int*) day
								:(int*) year;
								
-  getCalandarDay			:(int*) month
				 				:(int*) day
								:(int*) year
				 				:(int*) hour
				 				:(int*) min
				 				:(int*) sec;

- (BOOL) setJulianDay	:(double) day;


- (BOOL)	setJulianDay	:(int) month
								:(int) day
								:(int) year;
						
- (BOOL) setJulianDay	:(int) month
								:(int) day
								:(int) year
								:(int) hour
								:(int) min
								:(int) sec;
 @end